// LICENSE : MIT
"use strict";
const reporter = (context) => {
    const {Syntax, RuleError, fixer, report, getSource} = context;
    return {
        [Syntax.Str](node){
            const text = getSource(node);
            if (/\.$/.test(text)) {
                return;
            }
            var add = fixer.insertTextAfter(node, ".");
            report(node, {
                message: "Added",
                fix: add
            });
        }
    };
};

export default {
    linter: reporter,
    fixer: reporter
};